Summary:	RawThumbnailer - RAW files thumbnailer for the GNOME Nautilus file manager
Summary(pl.UTF-8):	RawThumbnailer - program do miniaturek plików RAW dla zarządcy plików Nautilus
Name:		libopenraw-thumbnailer
Version:	47.0.1
Release:	1
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	https://download.gnome.org/sources/raw-thumbnailer/47/raw-thumbnailer-%{version}.tar.xz
# Source0-md5:	b0ba26935f01b916b2f8875a7ce00ab0
URL:		https://libopenraw.freedesktop.org/raw-thumbnailer/
BuildRequires:	cargo
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	rust
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	shared-mime-info
Obsoletes:	raw-thumbnailer < 0.99
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RawThumbnailer is a thumbnailer for RAW files that works with the
GNOME Nautilus file manager.

%description -l pl.UTF-8
RawThumbnailer to program generujący miniaturki plików RAW działający
z zarządcą plików Nautilus ze środowiska GNOME.

%prep
%setup -q -n raw-thumbnailer-%{version}

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database

%postun
%update_mime_database

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_bindir}/raw-thumbnailer
%{_datadir}/mime/packages/raw-thumbnailer.xml
%{_datadir}/thumbnailers/raw.thumbnailer
%changelog
* Sat Oct 05 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libopenraw-thumbnailer.git;a=log;h=master

* Sat Oct 05 2024 Jakub Bogusz <qboosh@pld-linux.org> 9063109
- updated to 47.0.1; rewritten in rust, with vendored rust libopenraw now

* Sun Oct 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 4741646
- adjusted libopenraw patch to cover libopenraw 0.2.x; release 4

* Tue Oct 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 8274a5e
- fixed dependency on libopenraw-gnome; release 3

* Sun Dec 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 9285630
- updated libopenraw-gnome dependency after patch

* Sun Dec 11 2016 Jakub Bogusz <qboosh@pld-linux.org> e22fd04
- added libopenraw patch (adjust for libopenraw 0.1.x)
- release 2

* Fri Jul 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 4d86318
- updated to 3.0.0

* Wed Jul 28 2010 Elan Ruusamäe <glen@pld-linux.org> 189bf21
- use rpmbuild(macros) virtual, not direct package name

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 7b43c6f
- register gconf/mime data

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 1e618e5
- new: raw-thumbnailer from libopenraw project

